﻿using System;
using System.Globalization;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace XamGrid2
{
    public class ConvertisseurPerso : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return (value as Libelle).Numero + " " + (value as Libelle).Rue;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            Libelle l = new Libelle();
            string[] s = value.ToString().Split(' ');
           
            l.Numero = s[0];
            l.Rue = s[1];
            return l;
        }
    }

    public class ConvertisseurPerso2 : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is string)
            {
                // add logic for filter string conditions
                if (value.ToString() == "0")
                    return "Droite";
                return "Gauche";
            }
            if ((int)value == 0)
                return "Droite";
            return "Gauche";
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if ((string)value == "Droite")
                return 0;
            return 1;
        }
    }
  
   
}
